tt_message_destroy(library call)

NAME
tt_message_destroy — destroy a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_destroy(
Tt_message m);

DESCRIPTION

The tt_message_destroy function destroys the message.

Destroying a message has no effect on the delivery of a message already sent.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_destroy function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

If the application sent a request and is expecting a reply with return values, the application should destroy the message after it have received the reply. If the application sends a notice, the application can destroy the message immediately after it sends the notice.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_create(3), tt_message_create_super(3).